<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__gpio__pin__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_gpio_pin_config_t</compoundname>
    <includes local="no">cy_gpio.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__gpio__pin__config__t_1ae39ff5dc65ffef2808a0183f23691389" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::outVal</definition>
        <argsstring />
        <name>outVal</name>
        <briefdescription>
<para>Pin output state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="270" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="270" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a6f1ce86e05635f3d78fb4727d907d0aa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::driveMode</definition>
        <argsstring />
        <name>driveMode</name>
        <briefdescription>
<para>Drive mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="271" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="271" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1af8a4f6b10a8e655125dfafd511c7af6e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4">en_hsiom_sel_t</ref></type>
        <definition>en_hsiom_sel_t cy_stc_gpio_pin_config_t::hsiom</definition>
        <argsstring />
        <name>hsiom</name>
        <briefdescription>
<para>HSIOM selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="272" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a224590619198ad520a196319b618deda" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::intEdge</definition>
        <argsstring />
        <name>intEdge</name>
        <briefdescription>
<para>Interrupt Edge type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="273" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="273" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a8c72a6f2afbf548e8680101565cf4425" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::intMask</definition>
        <argsstring />
        <name>intMask</name>
        <briefdescription>
<para>Interrupt enable mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="274" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="274" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a7814ef8c93a369b03c6e4c1005c2e601" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::vtrip</definition>
        <argsstring />
        <name>vtrip</name>
        <briefdescription>
<para>Input buffer voltage trip type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="275" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1aa43f5365da64dd51783d98f06edeb300" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::slewRate</definition>
        <argsstring />
        <name>slewRate</name>
        <briefdescription>
<para>Output buffer slew rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="276" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="276" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a084319c0dbc75d9204c93af3fbcf98eb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::driveSel</definition>
        <argsstring />
        <name>driveSel</name>
        <briefdescription>
<para>Drive strength. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="277" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1acad3656e105f0d387353f1054e67e2b2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::vregEn</definition>
        <argsstring />
        <name>vregEn</name>
        <briefdescription>
<para>SIO pair output buffer mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="278" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="278" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1ac81f30a52ad1fa519a37bca4555f756b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::ibufMode</definition>
        <argsstring />
        <name>ibufMode</name>
        <briefdescription>
<para>SIO pair input buffer mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="279" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="279" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1aa4cc8c41ddc1a81f1b70c22bb9284a89" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::vtripSel</definition>
        <argsstring />
        <name>vtripSel</name>
        <briefdescription>
<para>SIO pair input buffer trip point. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="280" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="280" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a4bb7bdbf8e3df5475582113e02e63bc0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::vrefSel</definition>
        <argsstring />
        <name>vrefSel</name>
        <briefdescription>
<para>SIO pair reference voltage for input buffer trip point. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="281" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="281" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__pin__config__t_1a5af07673aa0c34dafa660f6975bad826" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_pin_config_t::vohSel</definition>
        <argsstring />
        <name>vohSel</name>
        <briefdescription>
<para>SIO pair regulated voltage output level. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="282" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="282" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is used to initialize a single GPIO pin. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="283" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="268" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="269" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a6f1ce86e05635f3d78fb4727d907d0aa" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>driveMode</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a084319c0dbc75d9204c93af3fbcf98eb" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>driveSel</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1af8a4f6b10a8e655125dfafd511c7af6e" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>hsiom</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1ac81f30a52ad1fa519a37bca4555f756b" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>ibufMode</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a224590619198ad520a196319b618deda" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>intEdge</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a8c72a6f2afbf548e8680101565cf4425" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>intMask</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1ae39ff5dc65ffef2808a0183f23691389" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>outVal</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1aa43f5365da64dd51783d98f06edeb300" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>slewRate</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a5af07673aa0c34dafa660f6975bad826" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>vohSel</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a4bb7bdbf8e3df5475582113e02e63bc0" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>vrefSel</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1acad3656e105f0d387353f1054e67e2b2" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>vregEn</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1a7814ef8c93a369b03c6e4c1005c2e601" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>vtrip</name></member>
      <member prot="public" refid="structcy__stc__gpio__pin__config__t_1aa4cc8c41ddc1a81f1b70c22bb9284a89" virt="non-virtual"><scope>cy_stc_gpio_pin_config_t</scope><name>vtripSel</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>